Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# iconfactory.h File Reference

A GtkIconSource, GtkIconSet and GtkIconFactory C++ wrapper interface. More...

`#include <inti/glib/boxed.h>`
`#include <inti/glib/object.h>`
`#include <inti/gtk/enums.h>`
`#include <gtk/gtkiconfactory.h>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

- namespace Inti
- namespace Inti::Gdk
- namespace Inti::Gtk

## Detailed Description

A GtkIconSource, GtkIconSet and GtkIconFactory C++ wrapper interface.

Provides IconSource, IconSet and IconFactory. IconSource contains a Gdk::Pixbuf (or image filename) that serves as the base image for one or more of the icons in an IconSet, along with a specification for which icons in the icon set will be based on that pixbuf or image file. IconSet represents a single icon in various sizes and widget states.
Main Page - Footer